function nederland (pas_aan)

  p = -2; % SAMMAP 2

  if (nargin < 1)
    pas_aan = 0;
  end;

stad = { 'Rotterdam',  ...
         'Amsterdam',  ...
         'Utrecht',    ...
         'Den Haag',   ...
         'Maastricht', ...
         'Eindhoven',  ...
         'Breda',      ...
         'Arnhem',     ...
         'Zwolle',     ...
         'Leeuwarden', ...
         'Groningen',  ...
         'Den Helder' };

afstand = [ ...
    0  73  57  21 202 113  51 118 147 206 251 144; ...
    0   0  37  55 213 121 106  99 113 139 203  82; ...
    0   0   0  62 180  88  73  64  91 181 195 120; ...
    0   0   0   0 223 134  72 118 152 188 252 126; ...
    0   0   0   0   0  86 146 167 244 334 348 296; ...
    0   0   0   0   0   0  57  82 150 240 254 204; ...
    0   0   0   0   0   0   0 111 156 246 260 189; ...
    0   0   0   0   0   0   0   0  68 158 172 182; ...
    0   0   0   0   0   0   0   0   0  91 105 157; ...
    0   0   0   0   0   0   0   0   0   0  62  90; ...
    0   0   0   0   0   0   0   0   0   0   0 154; ...
    0   0   0   0   0   0   0   0   0   0   0   0 ];

if (pas_aan)
afstand = afstand - 7.5 * [ ...
    0   0   0   0  10   0   0   0   0   0   0   0; ...
    0   0   0   0  10   0   0   0   0   0   0   0; ...
    0   0   0   0  10   0   0   0   0   0   0   0; ...
    0   0   0   0  10   0   0   0   0   0   0   0; ...
    0   0   0   0   0  10  10   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0; ...
    0   0   0   0   0   0   0   0   0   0   0   0 ];
end;

figure (1); set (1, 'MenuBar', 'figure'); clf; hold on;

afstand = afstand + afstand';

%  Y = mds_init (afstand, 'kl', 2);
  Y = mds_init (afstand, 2, 'kl');

  switch (p)
    case -2,
      [y,j,stress] = mds (afstand, Y, 'sa3', 'scg', 0, stad);
    case -1,
      [y,j,stress] = mds (afstand, Y, 'sa1', 'scg', 0, stad);
    case 0,
      [y,j,stress] = mds (afstand, Y, 'sa2', 'scg', 0, stad);
    case 1,
      [y,j,stress] = mds (afstand, Y, 'sa4', 'scg', 0, stad);
    case 2,
      [y,j,stress] = mds (afstand, Y, 'sa5', 'scg', 0, stad);
    otherwise,
      error ('nederland: illegal p specified.');
  end;

clf; hold on;
for i = 1:size(y,1)
  plot (y(i,1),y(i,2),'k.');
  text (y(i,1)+0.05*max(y(:,1)),y(i,2),stad{i});
end;
title (sprintf ('STRESS: %f', stress(length(stress))));
axis equal;



