%SOYBEAN1 Large soybean dataset 266 objects with 35 features in 4 classes
%
%	A = SOYBEAN1
%	A = SOYBEAN1(M,N)
%
% Load the dataset in A, select the objects and features according to the
% index vectors M and N. This is the large Soybean dataset from the UCI
% Machine Learning Repository, //www.ics.uci.edu/~mlearn/MLRepository.html.
%
% See also DATASETS, PRDATASETS, SOYBEAN2

% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
% Faculty EWI, Delft University of Technology
% P.O. Box 5031, 2600 GA Delft, The Netherlands

function a = soybean1(M,N);
if nargin < 2, N = []; end
if nargin < 1, M = []; end
a = prdataset('soybean1',M,N);
a = setname(a,'Large soybean dataset');
a = setlablist(a,str2mat(...
    'diaporthe stem canker',...
    'charcoal rot',...
    'rhizoctonia root rot',...
    'phytophthora rot',...
    'brown stem rot',...
    'powdery mildew',...
    'downy mildew',...
    'brown spot',...
    'bacterial blight',...
    'bacterial pustule',...
    'purple seed stain',...
    'anthracnose',...
    'phyllosticta leaf spot',...
    'alternarialeaf spot',...
    'frog eye leaf spot',...
    'diaporthe pod and stem blight',...
    'cyst nematode',...
    '2-4-d injury',...
    'herbicide injury'));
a = setfeatlab(a,str2mat(...
    'date',...
    'plant stand',...
    'precipitation',...
    'temperature',...
    'hail',...
    'crop history',...
    'area damaged',...
    'severity',...
    'seed treatment',...
    'germination',...
    'plant growth',...
    'leaves',...
    'leafspots halo',...
    'leafspots marginal',...
    'leafspot size',...
    'leaf shread',...
    'leaf malfunction',...
    'leaf mildew',...
    'stem',...
    'lodging',...
    'stem cankers',...
    'canker lesion',...
    'fruiting bodies',...
    'external decay',...
    'mycelium',...
    'int discolor',...
    'sclerotia',...
    'fruit pods',...
    'fruit spots',...
    'seed',...
    'mold growth',...
    'seed discolor',...
    'seed size',...
    'shriveling',...
    'roots'));
    

